import TransactionService from './transaction.service'

export default {
  list (config, own) {
    const ta = [
      { name: 'cntl.group.list', old: { is_admin_or_is_own: own, sorting_params_list: ['name'] } },
      { name: 'cntl.mgr2group.list', join: { 0: 'api_fkey_cntl_mgr2group_grp'} },
      { name: 'nd.bcd2group.list', join: { 0: 'api_fkey_nd_bcd2group_grp'} },
      { name: 'dns.fqdn2group.list', join: { 0: 'api_fkey_dns_fqdn2group_grp'} },
      { name: 'cntl.mgr.list', join: { 1: 'api_fkey_cntl_mgr2group_mgr'} },
      { name: 'nd.bcd.list', join: { 2: 'api_fkey_nd_bcd2group_bcd'} }
    ]
    return TransactionService.execute(config, ta)
  }
}
