import TransactionService from './transaction.service'

export default {
  getByFK(config, ref_obj_fq, refobj_id_field, refobj_id_value) {
    const old = {}
    old[refobj_id_field] = refobj_id_value
    const ta = [
      { name: ref_obj_fq + '.list', old: old },
      {
        name: 'evlog.record.list',
        old: {
          top_n_from_newest: true,
          top_n: 50,
          sorting_params_list: ['ta_timestamp desc']
        },
        join: { 0: null }
      },
      { name: 'evlog.record_type.list' }
    ]
    return TransactionService.execute(config, ta)
  }
}
