import TransactionService from './transaction.service'

export default {
  listOwn(config) {
    const ta = [
      { name: 'cntl.mgr2ou.list', old: { is_own: true } },
      { name: 'org.unit.list', join: { 0: 'api_fkey_cntl_mgr2ou_ou' } },
      { name: 'cntl.mgr2ou.list', join: { 1: 'api_fkey_cntl_mgr2ou_ou' } },
      { name: 'cntl.mgr.list', join: { 2: 'api_fkey_cntl_mgr2ou_mgr' } },
      { name: 'dns.fqdn2ou.list', join: { 1: 'api_fkey_dns_fqdn2ou_ou' } }
    ]
    return TransactionService.execute(config, ta)
  },
  listAll(config) {
    const ta = [
      { name: 'org.unit.list', old: {do_subtree: true}},
      { name: 'cntl.mgr2ou.list', join: { 0: 'api_fkey_cntl_mgr2ou_ou' } },
      { name: 'cntl.mgr.list', join: { 1: 'api_fkey_cntl_mgr2ou_mgr' } },
      { name: 'dns.fqdn2ou.list', join: { 0: 'api_fkey_dns_fqdn2ou_ou' } }
    ]
    return TransactionService.execute(config, ta)
  }
}
