import Axios from 'axios'
import config from '@/../netvs.config'

const RESOURCE_NAME_TA = `${config.NETDB_API_BASE_URL}/wapi/transaction/execute`

export default {
  execute (config, ta) {
    return Axios.post(RESOURCE_NAME_TA, ta, config)
  },
  executeDry (config, ta) {
    return Axios.post(RESOURCE_NAME_TA + '?dry_mode=true', ta, config)
  }
}
