import Vue from 'vue'
import { library } from '@fortawesome/fontawesome-svg-core'
import { FontAwesomeIcon } from '@fortawesome/vue-fontawesome'

import {
  faExclamationTriangle,
  faCircleNotch,
  faFilter,
  faInfoCircle,
  faBars,
  faArrowRight,
  faSort,
  faSortUp,
  faSortDown,
  faCode,
  faBug,
  faPlus,
  faChevronUp,
  faChevronDown,
  faCopy,
  faTasks,
  faUndo,
  faRedo,
  faCaretUp,
  faCaretDown,
  faVial,
  faCheckCircle,
  faSearch,
  faSignInAlt,
  faSignOutAlt,
  faUser,
  faUserNinja,
  faEye,
  faEyeSlash,
  faLink,
  faQuestion,
  faTimes,
  faChevronLeft,
  faUsersCog,
  faBuilding,
  faUsers,
  faDumpsterFire,
  faUnlink,
  faFileImport,
  faFileExport,
  faRadiation,
  faMapSigns,
  faNetworkWired,
  faHistory,
  faEthernet,
  faPooStorm,
  faAdjust
} from '@fortawesome/free-solid-svg-icons'

import {
  faOpenid
} from '@fortawesome/free-brands-svg-icons'

import {
  faEdit,
  faTrashAlt,
  faCheckSquare,
  faLifeRing,
  faPaperPlane
} from '@fortawesome/free-regular-svg-icons'

Vue.component('font-awesome-icon', FontAwesomeIcon)

library.add(
  faExclamationTriangle,
  faCircleNotch,
  faFilter,
  faInfoCircle,
  faBars,
  faArrowRight,
  faSort,
  faSortUp,
  faSortDown,
  faCode,
  faBug,
  faPlus,
  faChevronUp,
  faChevronDown,
  faCopy,
  faTasks,
  faUndo,
  faRedo,
  faCaretUp,
  faCaretDown,
  faVial,
  faCheckCircle,
  faSearch,
  faSignInAlt,
  faSignOutAlt,
  faUser,
  faUserNinja,
  faEdit,
  faTrashAlt,
  faCheckSquare,
  faLifeRing,
  faPaperPlane,
  faOpenid,
  faEye,
  faEyeSlash,
  faLink,
  faQuestion,
  faTimes,
  faChevronLeft,
  faUsersCog,
  faBuilding,
  faUsers,
  faDumpsterFire,
  faUnlink,
  faFileImport,
  faFileExport,
  faRadiation,
  faMapSigns,
  faNetworkWired,
  faHistory,
  faEthernet,
  faPooStorm,
  faAdjust
)
